@component('panel.layouts.component', ['title' => 'ثبت محصول جدید'])

    @slot('style')
        .card-header {
        text-align: center !important;
        }
    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول جدید </h1>
        <p>ثبت محصول جدید در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class="container py-5">
                <div class="row align-items-center">
                    <div class="col-lg-8 col-md-10 mx-auto">
                        <div class="card">
                            <div class="card-header"><strong>{{ __('ثبتدسته بندی جدید') }}</strong></div>

                            <div class="card-body mx-lg-5 px-lg-3">
                                <form method="POST" action="{{ route('categories.store') }}">
                                    @csrf

                                    <div class="form-group">
                                        <label for="title">{{ __('نام محصول جدید') }}</label>
                                        <input id="title" type="text"
                                               class="form-control @error('title') is-invalid @enderror" name="title"
                                               value="{{ old('title') }}" required autocomplete="title" autofocus>

                                        @error('title')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror

                                    </div>

                                    <div class="form-group">
                                        <label for="slug">  {{ __('نام مستعار محصول  ') }}</label>
                                        <input id="slug" type="text"
                                               class="form-control @error('slug') is-invalid @enderror"
                                               name="slug" value="{{ old('slug') }}" required
                                               autocomplete="slug" autofocus>

                                        @error('slug')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror

                                    </div>
                                    <div class="form-group">
                                        <label for="parent">  {{ __('کد  دسته بندی  ') }}</label>
                                        <input id="parent" type="text"
                                               class="form-control @error('parent') is-invalid @enderror"
                                               name="slug" value="{{ old('parent') }}" required
                                               autocomplete="slug" autofocus>

                                        @error('parent')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror

                                    </div>

                                    <div class="form-group">
                                        <label for="category_type">{{ __(' نوع دسته بندی') }}</label>
                                        <select id="category_type" type="text"
                                                class="form-control @error('category_type') is-invalid @enderror" name="category_type"
                                                required autocomplete="category_type">
                                            <option value="1">اصلی</option>
                                            <option value="0">فرعی</option>
                                        </select>

                                        @error('category_type')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>



                                    <div class="form-group">
                                        <label for="discription">{{ __(' توضیحات  محصول') }}</label>
                                        <textarea id="discription" type="text"
                                                  class="form-control @error('discription') is-invalid @enderror" name="discription"
                                                  required autocomplete="discription">{{ old('discription') }}</textarea>

                                        @error('discription')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>


                                    <div class="form-group">
                                        <label for="creator_id">{{ __(' نام ثبت کننده دسته بندی') }}</label>
                                        <input id="creator_id" type="text"
                                               class="form-control @error('creator_id') is-invalid @enderror" name="creator_id"
                                               value="{{ auth()->user()->name }}" required autocomplete="creator_id" readonly>

                                        @error('creator_id')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>

                                    <div class="form-group mb-0">
                                        <div class="">
                                            <button type="submit" class="btn btn-primary">
                                                {{ __('ثبت دسته بندی') }}
                                            </button>

                                            <a href={{ route('products.index') }} type="button" class="btn btn-warning"> انصراف</a>

                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endslot

    @slot('script')

    @endslot

@endcomponent

